Get Supported Chain Information¶
Endpoint¶
Parameters¶
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| chain Optional | String | Cactus chain name Allowed Value: Refer to Network Symbol column in Supported Token |
| full_name Optional | String | Common chain name Allowed Value: Refer to Network Full Name column in Supported Token |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Array[Object] | Array of wallet chain information (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| chain | String | Cactus chain name |
| full_name | String | Common chain name |
| main_coin | String | Chain main coin |
| evm_chain | Boolean | If it is EVM compatible |
| support_eip1559 | Boolean | If it supports EIP 1559 |
| confirm_block_number | String | Deposit security height |
| block_height | String | The current block height of the chain. Note that this value is cached and may not reflect the latest block |
| miner_block_number | String | Mining security height |
Response Example¶
{
"code": 0,
"message": "",
"data": [
{
"chain": "ETH",
"full_name": "Ethereum",
"main_coin": "ETH",
"evm_chain": true,
"support_eip1559": true,
"confirm_block_number": 64,
"block_height": 18542891,
"miner_block_number": 64
},
{
"chain": "ETC",
"full_name": "Ethereum Classic",
"main_coin": "ETC",
"evm_chain": true,
"support_eip1559": false,
"confirm_block_number": 100,
"block_height": 18542891,
"miner_block_number": 100
}
],
"successful": true
}